
From: "Chen, Kenneth W" <kenneth.w.chen@intel.com>

It needs a #ifdef around max_cache_size.  Patch to fix the build problem.

Signed-off-by: Ken Chen <kenneth.w.chen@intel.com>
Cc: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/kernel/setup.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ia64/kernel/setup.c~scheduler-cache-hot-autodetect-build-fix arch/ia64/kernel/setup.c
--- 25/arch/ia64/kernel/setup.c~scheduler-cache-hot-autodetect-build-fix	2005-06-21 15:53:49.000000000 -0700
+++ 25-akpm/arch/ia64/kernel/setup.c	2005-06-21 15:53:49.000000000 -0700
@@ -655,7 +655,9 @@ get_max_cacheline_size (void)
 			cache_size = cci.pcci_cache_size;
         }
   out:
+#ifdef CONFIG_SMP
 	max_cache_size = max(max_cache_size, cache_size);
+#endif
 	if (max > ia64_max_cacheline_size)
 		ia64_max_cacheline_size = max;
 }
_
